aboutsummaryrefslogtreecommitdiffstats
path: root/testing/websockify/APKBUILD
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2016-02-24 16:11:12 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-02-25 09:15:55 +0000
commite327840344b4670b2d244ff8e7c672e7c58e4536 (patch)
tree9c895cb2f9a824ae31ba49627aa596b1fea6fb27 /testing/websockify/APKBUILD
parent2423985c743fefa1cd0dc917f183f262af694602 (diff)
downloadaports-e327840344b4670b2d244ff8e7c672e7c58e4536.tar.gz
aports-e327840344b4670b2d244ff8e7c672e7c58e4536.tar.bz2
aports-e327840344b4670b2d244ff8e7c672e7c58e4536.tar.xz
testing/websockify: new aport
https://github.com/kanaka/websockify websockify: WebSockets support for any application/server
Diffstat (limited to 'testing/websockify/APKBUILD')
-rw-r--r--testing/websockify/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/testing/websockify/APKBUILD b/testing/websockify/APKBUILD
new file mode 100644
index 0000000000..42ce0a9f36
--- /dev/null
+++ b/testing/websockify/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
+# Maintainer: Valery Kartel <valery.kartel@gmail.com>
+pkgname=websockify
+pkgver=0.8.0
+pkgrel=0
+pkgdesc="WebSockets support for any application/server"
+url="https://github.com/kanaka/websockify"
+arch="noarch"
+license="LGPLv3"
+depends="py-$pkgname"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages="py-$pkgname:py"
+source="$pkgname-$pkgver.tar.gz::https://github.com/kanaka/$pkgname/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+py() {
+ depends="python"
+ pkgdesc="$pkgdesc (python bindings)"
+ mkdir -p "$subpkgdir"/usr
+ mv "$pkgdir"/usr/lib "$subpkgdir"/usr
+}
+
+md5sums="0073c3b97ea74d7c3565422d6a9cf0b9 websockify-0.8.0.tar.gz"
+sha256sums="f080e40b3f429f39dc557c62c6d715a683100e7c10c557fa376b6dbde23358ce websockify-0.8.0.tar.gz"
+sha512sums="f2231767805788d00348e89c24972de767beeffe350b9a7f57e4008e3203d5447633aabaa0e9a50b48404039d63bcf8dc0244fb7511a7b045d3337c15ab7af36 websockify-0.8.0.tar.gz"